#MathPlanner .spec file version 1.1 for MandrakeLinux 9.0

Summary:	A Program for calculating many kind of things
Summary(pl):	Program do atwego wykonywania oblicze matematycznych
Summary(fi):	Ohjelmalla voi laskea monenlaisia laskuja havainnollisesti ruudulla
Name:		MathPlanner
Version:	3.1.1
Release:	1
License:	GPL v2
Group:		X11/Applications/Publishing
Source0:	http://koti.mbnet.fi/jarmonik/%{name}-%{version}.tar.gz
URL:		http://koti.mbnet.fi/jarmonik
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 3.0.3
BuildRequires:	libtool
BuildRequires:	libqt3-devel >= 3.0.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_qtdir		/usr/lib/qt3
%define		_prefix		/usr/local
%define		_mathdir	%{_datadir}/MathPlanner
%define		_docdir		/usr/share/doc

%define		_kdedir		/usr
%define		_applnkdir	%{_kdedir}/share/applnk-mdk/Applications/Sciences
%define		_mimedir	%{_kdedir}/share/mimelnk/application
%define		_pixmapsdir	%{_kdedir}/share/icons/hicolor



%description
MathPlanner is mathematical design and publishing tool. MathPlanner
supports complex numbers, vectors, and basic math operations like
trigonometry, log, ln... Also integers and functions definations can
be used.

%description -l pl
MathPlanner jest matematycznym programem do tworzenia i publikacji.
Obsuguje liczby zespolone, wertory i podstawowe operacje matematyczne
(trygonometria, logarytmy,...). Mog by take uyte liczby cakowite
oraz definicje funkcji.

%description -l fi
MathPlanner on tarkoitettu matemaattiseen suunnitteluun ja julkaisuun.
Ohjelmasta lytyy monenlaisia matemaattisia toimintoja kuten muuttujat,
funktiot, vektorit, kompleksi-luvut, kuten mys perus toiminnot ln,log,sin...

%prep
%setup -q


%build

QTDIR=%{_qtdir}
export QTDIR
export DOCDIR=%{_docdir}/%{name}-%{version}

%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir},%{_mimedir}}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -D icons/32x32/mimetypes/mathplannerfile.png $RPM_BUILD_ROOT%{_pixmapsdir}/32x32/mimetypes/mathplannerfile.png
install -D icons/32x32/apps/mathplannerapp.png $RPM_BUILD_ROOT%{_pixmapsdir}/32x32/apps/mathplannerapp.png
install -D icons/64x64/mimetypes/mathplannerfile.png $RPM_BUILD_ROOT%{_pixmapsdir}/64x64/mimetypes/mathplannerfile.png
install -D icons/64x64/apps/mathplannerapp.png $RPM_BUILD_ROOT%{_pixmapsdir}/64x64/apps/mathplannerapp.png

install MathPlanner.desktop $RPM_BUILD_ROOT%{_applnkdir}
install mpl2.desktop $RPM_BUILD_ROOT%{_mimedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README ChangeLog NEWS Doc.htm Doc examples
%attr(755,root,root) %{_bindir}/*
%dir %{_mathdir}
%{_mathdir}/*.txt
%{_mathdir}/COPYING
%{_mathdir}/pixmaps/*
%{_mathdir}/ts/*
%{_pixmapsdir}
%{_applnkdir}/*.desktop
%{_mimedir}/*.desktop

